<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: OAuthId Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_o_auth_id.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_o_auth_id-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OAuthId Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_o_auth_id_8h_source.html">OAuthId.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9c79e46493ade8bfd80ce76cdf737f5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#a9c79e46493ade8bfd80ce76cdf737f5b">OAuthId</a> (QString username, QString password)</td></tr>
<tr class="separator:a9c79e46493ade8bfd80ce76cdf737f5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae17902b89c96549004d2098ddb81c167"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#ae17902b89c96549004d2098ddb81c167">OAuthId</a> (QByteArray userHash, QByteArray passwordHash)</td></tr>
<tr class="separator:ae17902b89c96549004d2098ddb81c167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0de83b6ce1bc32fd31a9a691829998b"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#ad0de83b6ce1bc32fd31a9a691829998b">getUserHash</a> () const </td></tr>
<tr class="separator:ad0de83b6ce1bc32fd31a9a691829998b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d56afa3d3ba8274e84dcc731cc8ab49"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#a2d56afa3d3ba8274e84dcc731cc8ab49">getPasswordHash</a> () const </td></tr>
<tr class="separator:a2d56afa3d3ba8274e84dcc731cc8ab49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a93fd96aec89e320b442aeaf5e061d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#ab3a93fd96aec89e320b442aeaf5e061d">operator=</a> (const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;id)</td></tr>
<tr class="separator:ab3a93fd96aec89e320b442aeaf5e061d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67e1547b732f2d2e22c20a8e7171310e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#a67e1547b732f2d2e22c20a8e7171310e">operator==</a> (const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;other) const </td></tr>
<tr class="memdesc:a67e1547b732f2d2e22c20a8e7171310e"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks password hash of other credentials  <a href="#a67e1547b732f2d2e22c20a8e7171310e">More...</a><br /></td></tr>
<tr class="separator:a67e1547b732f2d2e22c20a8e7171310e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf5d93c1825b78515519013b05c5062"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#a7bf5d93c1825b78515519013b05c5062">operator!=</a> (const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;other) const </td></tr>
<tr class="memdesc:a7bf5d93c1825b78515519013b05c5062"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks password hash of other credentials  <a href="#a7bf5d93c1825b78515519013b05c5062">More...</a><br /></td></tr>
<tr class="separator:a7bf5d93c1825b78515519013b05c5062"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aded9ca21e04af643afac6bfef5803fe6"><td class="memItemLeft" align="right" valign="top">static QByteArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#aded9ca21e04af643afac6bfef5803fe6">getHash</a> (std::string toBeHashed)</td></tr>
<tr class="separator:aded9ca21e04af643afac6bfef5803fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a128cd6ee21a190c1863b302232f31e21"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_o_auth_id.html#a128cd6ee21a190c1863b302232f31e21">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;oauthId)</td></tr>
<tr class="memdesc:a128cd6ee21a190c1863b302232f31e21"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#a128cd6ee21a190c1863b302232f31e21">More...</a><br /></td></tr>
<tr class="separator:a128cd6ee21a190c1863b302232f31e21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Provides <a class="el" href="class_o_auth.html">OAuth</a> credential for a user of an app </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9c79e46493ade8bfd80ce76cdf737f5b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OAuthId::OAuthId </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New credentials for user with given password </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username to login in app </td></tr>
    <tr><td class="paramname">password</td><td>password to login in app </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Credentials to login </dd></dl>

</div>
</div>
<a class="anchor" id="ae17902b89c96549004d2098ddb81c167"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OAuthId::OAuthId </td>
          <td>(</td>
          <td class="paramtype">QByteArray&#160;</td>
          <td class="paramname"><em>userHash</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QByteArray&#160;</td>
          <td class="paramname"><em>passwordHash</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Credentials with given hashes; useful when checking credentials from database. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">userHash</td><td>hash of username </td></tr>
    <tr><td class="paramname">passwordHash</td><td>hash of password </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Credentials to login</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aded9ca21e04af643afac6bfef5803fe6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QByteArray OAuthId::getHash </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>toBeHashed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Computes hash of given stuff </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">toBeHashed</td><td>stuff to be hashed </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>hash of stuff </dd></dl>

</div>
</div>
<a class="anchor" id="a2d56afa3d3ba8274e84dcc731cc8ab49"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString OAuthId::getPasswordHash </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get password hash </p><dl class="section return"><dt>Returns</dt><dd>password hash (utf8 encoded) </dd></dl>

</div>
</div>
<a class="anchor" id="ad0de83b6ce1bc32fd31a9a691829998b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString OAuthId::getUserHash </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get username hash </p><dl class="section return"><dt>Returns</dt><dd>username hash (utf8 encoded) </dd></dl>

</div>
</div>
<a class="anchor" id="a7bf5d93c1825b78515519013b05c5062"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuthId::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>checks password hash of other credentials </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 items are the same </dd></dl>

</div>
</div>
<a class="anchor" id="ab3a93fd96aec89e320b442aeaf5e061d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_o_auth_id.html">OAuthId</a> &amp; OAuthId::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Assignment operator </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>other id </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>assigner id </dd></dl>

</div>
</div>
<a class="anchor" id="a67e1547b732f2d2e22c20a8e7171310e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OAuthId::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>checks password hash of other credentials </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 items are the same </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a128cd6ee21a190c1863b302232f31e21"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_o_auth_id.html">OAuthId</a> &amp;&#160;</td>
          <td class="paramname"><em>oauthId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>auth/OAuthId/<a class="el" href="_o_auth_id_8h_source.html">OAuthId.h</a></li>
<li>auth/OAuthId/OAuthId.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_o_auth_id.html">OAuthId</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
